Ivanti Neurons for Zero Trust Access Overview
4 min
ivanti neurons for zero trust access ( nzta ) is a cloud based saas (software as a service) application that provides fully managed zero trust authentication and access control for an organization’s application infrastructure nzta enables administrators to define end to end authorization and authentication policies that control application visibility, access, and security for all users and their devices the diagram below illustrates the different components in nzta a typical nzta deployment best practice always call the logout endpoint to end the session when using the neurons for zero trust access rest apis always call the logout endpoint to end the session on normal completion of your api workflow in error paths and on timeouts (use a finally block or equivalent to guarantee execution) before re attempting login if you receive authentication errors that could be session related this practice ensures clean session management, improves security, and helps avoid unexpected authentication issues using the logout endpoint get /api/my session/logout purpose terminates the current authenticated session authentication requires a valid active session (for example, session cookie or authorization header) request query parameters none body none responses 200 ok – logout successful the current session is invalidated; subsequent api calls require re authentication response body may be empty 401 unauthorized – no active session or invalid/expired credentials 405 method not allowed – if get is not permitted on this endpoint 5xx – server side error example requests using bearer token curl k x get "https //\<nsa host>/api/my session/logout" h "authorization bearer \<access token>" using session cookie curl k x get "https //\<nsa host>/api/my session/logout" h "cookie \<session cookie name>=\<session id>" example response http/1 1 200 ok if you receive 200 ok for this endpoint, logout is successful to learn more about nzta , see the tenant admin guide https //help ivanti com/ps/help/en us/nsa/22 x/nsa zta/ag/landingpage htm this guide describes the rest api service running on the controller and includes a list of supported api calls customer code calling ivanti rest apis must always handle http return codes https //www iana org/assignments/http status codes/http status codes xhtml ; for example, both cloud products can return 429 (rate limited), 503 (service unavailable), etc server side cloud capacity and rate limits are subject to change over time without notice it is important to ensure that all integration code properly handles http status codes and can retry requests at a later time where applicable api use case html#top docid\ l57zcvyzgivv8r cqnig5use case docid\ l57zcvyzgivv8r cqnig5api calls html#top docid\ al8gmecutfpz6qlw5cwfpapi calls docid\ al8gmecutfpz6qlw5cwfp /ztaapi pdf /ztaapi pdfview as pdf /ztaapi pdf
